function c_suv = rgb2suv_todd(c_rgb,s) 
%function c_suv = rgb2suv(c_rgb,s) 
%Converts an RGB vector or image to SUV. 
%
%c_rgb = RGB image or vector.
%s     = Optional source color. Defaults to white light.  
display = 0; 
if nargin <2 
    s = [1 1 1]'; 
    s = s/norm(s); 
end 
im = c_rgb; 
c_rgb = double(c_rgb); 

[az,el]=cart2sph(s(1),s(2),s(3));

% Rotation matrix 
R = buildr((pi/2-el), [0,1, 0]')*buildr(az, [ 0 0 1]');
R = flipud(R); 
sz = size(c_rgb); 
if(length(sz)==3) 
    c_rgb = reshape(c_rgb, sz(1)*sz(2),3);
    c_suv = R*c_rgb'; 
    c_suv = c_suv'; 
    c_suv = reshape(c_suv,sz(1),sz(2),3); 
    
else 
    c_suv = R*c_rgb;
end 
