function c_rgb = suv2rgb_todd(c_suv,s) 
%function c_rgb = suv2rgb(c_suv,s) 
%Converts an SUV vector or image to RGB. 
%
%c_suv = SUV image or vector.
%s     = Optional source color. Defaults to white light.  

if nargin <2 
    s = [1 1 1]'; 
    s = s/norm(s); 
end 
 
c_suv = double(c_suv); 

[az,el]=cart2sph(s(1),s(2),s(3));

% Rotation matrix 
R = buildr((pi/2-el), [0,1, 0]')*buildr(az, [ 0 0 1]');
R = flipud(R); 

sz = size(c_suv); 
if(length(sz)==3) 
    c_suv = reshape(c_suv, sz(1)*sz(2),3);
    c_rgb = R'*c_suv'; 
    c_rgb = c_rgb'; 
    c_rgb = reshape(c_rgb,sz(1),sz(2),3); 
    
else 
    c_rgb = R'*c_suv;
end 
